namespace baoge
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using System.Data.OleDb;

	/// <summary>
	///		CopyRight 的摘要说明。
	/// </summary>
	public class CopyRight : System.Web.UI.UserControl
	{

		public string WebName,WebUrl,WebLogo,WebEmail,CAddress,CTel,CQQ,Webcopyright;
		
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面

		
			if(!IsPostBack)
			{
				CopyRightA();

			}
		}

		private void CopyRightA()
		{
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//取得所需操作的记录ID

				//定义SQL语句
				string ACsql="select ID,WebName,WebUrl,WebLogo,WebEmail,CAddress,CTel,CQQ,Webcopyright from Config where ID=1";
				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				//通过执行Command实例化DataReader类
				OleDbDataReader ACdr=ACcomm.ExecuteReader();
				if(ACdr.Read())
				{
					WebName=ACdr["WebName"].ToString();
					WebUrl=ACdr["WebUrl"].ToString();
					WebLogo=ACdr["WebLogo"].ToString();
					WebEmail=ACdr["WebEmail"].ToString();
					CAddress=ACdr["CAddress"].ToString();
					CTel=ACdr["CTel"].ToString();
					CQQ=ACdr["CQQ"].ToString();
					Webcopyright=ACdr["Webcopyright"].ToString();
					ACdr.Close();

				}
				else
				{
					Response.Write("对不起，请先填加网站信息");
				}
			
			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();

			}
		}




	

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		设计器支持所需的方法 - 不要使用代码编辑器
		///		修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
